Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class ClassIndicator

    java.lang.Object
      |
      +--kodo.jdbc.meta.Indicator
            |
            +--kodo.jdbc.meta.ClassIndicator

All Implemented Interfaces:
  Mapping

Direct Known Subclasses:
  ColumnClassIndicator, SubclassJoinClassIndicator

public abstract class ClassIndicator
extends Indicator

Handles determining the object class of database records.

Constructor Summary
`ClassIndicator()`

Method Summary
`abstract Class` | `getClass(JDBCStoreManager store, Result result)` Return the class for the current result row.
`abstract SQLBuffer` | `getClassConditions(JDBCStoreManager store, Select sel, Joins joins, ClassMapping base, boolean subs)` Return SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses.
`protected ClassLoader` | `getClassLoader(JDBCStoreManager store)` Return a class loader from the configured class resolver, based on the owner mapping's described type and the given store manager's persistence manager's class loader.
`static ClassIndicator[]` | `getDefaults()` Return the set of default class indicators.
`void` | `loadSubclasses(JDBCStoreManager store)` Load all subclasses of the owning class mapping into the JVM.
`static ClassIndicator` | `newInstance(String type)` Return the indicator for the given indicator name.
`void` | `setSubclassesLoaded(boolean loaded)` Set whether subclasses have been loaded.
`boolean` | `subclassesLoaded()` Return true if subclasses have been loaded.
`String` | `toString()`

Methods inherited from class kodo.jdbc.meta.Indicator
`addMappingInfoAttributes, delete, delete, fromMappingInfo, getColumns, getDBDictionary, getMappingRepository, getOwnerMapping, getTable, insert, insert, isCustomDelete, isCustomInsert, isCustomUpdate, refSchemaComponents, reverseMap, select, setOwnerMapping, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kodo.jdbc.meta.Mapping
`getMappingType, map, toMappingInfo`

Constructor Detail

### ClassIndicator

    public ClassIndicator()

Method Detail

### newInstance

    public static ClassIndicator newInstance(String type)

  Return the indicator for the given indicator name.

### getDefaults

    public static ClassIndicator[] getDefaults()

  Return the set of default class indicators.

### subclassesLoaded

    public boolean subclassesLoaded()

  Return true if subclasses have been loaded.

### setSubclassesLoaded

    public void setSubclassesLoaded(boolean loaded)

  Set whether subclasses have been loaded.

### loadSubclasses

    public void loadSubclasses(JDBCStoreManager store)
                        throws SQLException,
                               ClassNotFoundException

  Load all subclasses of the owning class mapping into the JVM. By default, this method logs a warning that the `kodo.PersistentClasses` property wasn't set. Subclasses that are able to actually initialize the subclass list should override this method to do so.

### getClass

    public abstract Class getClass(JDBCStoreManager store,
                                   Result result)
                            throws SQLException,
                                   ClassNotFoundException

  Return the class for the current result row.

### getClassConditions

    public abstract SQLBuffer getClassConditions(JDBCStoreManager store,
                                                 Select sel,
                                                 Joins joins,
                                                 ClassMapping base,
                                                 boolean subs)

  Return SQL to limit the classes selected as much as possible to the given base class, and optionally its subclasses. Return null if no conditions needed. The select and joins instances are supplied in order to get column aliases.

### getClassLoader

    protected ClassLoader getClassLoader(JDBCStoreManager store)

  Return a class loader from the configured class resolver, based on the owner mapping's described type and the given store manager's persistence manager's class loader.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.